kate Library: KateCommands::CoreCommands Class Reference (kate Library)

| # kate Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateCommands::CoreCommands Class Reference

This Kate::Command provides access to a lot of the core functionality of kate part, settings, utilities, navigation etc. More...

`#include <katecmds.h>`

Inheritance diagram for KateCommands::CoreCommands:

[legend]
Collaboration diagram for KateCommands::CoreCommands:

[legend]
List of all members.

## Public Member Functions
bool | exec (class Kate::View *view, const QString &cmd, QString &errorMsg)
bool | help (class Kate::View *, const QString &, QString &)
QStringList | cmds ()
KCompletion * | completionObject (const QString &, Kate::View *)

## Detailed Description

This Kate::Command provides access to a lot of the core functionality of kate part, settings, utilities, navigation etc.

it needs to get a kateview pointer, it will cast the kate::view pointer hard to kateview

Definition at line 39 of file katecmds.h.

## Member Function Documentation

bool KateCommands::CoreCommands::exec | ( | class Kate::View * | view,
|  | const QString & | cmd,
|  | QString & | errorMsg
| ) |

  | execute command Parameters:
  | view | view to use for execution
  | cmd | cmd string
  | errorMsg | error to return if no success
Returns: success Definition at line 84 of file katecmds.cpp.

QStringList KateCommands::CoreCommands::cmds | ( |  | ) | `[virtual]`

| supported commands as prefixes Returns: prefix list Implements Kate::Command. Definition at line 68 of file katecmds.cpp.

KCompletion * KateCommands::CoreCommands::completionObject | ( | const QString & | cmd,
|  | Kate::View * | view
| ) | `[virtual]`

  | Returns: a KCompletion object that will substitute the command line default one while typing the first argument to the command. The text will be added to the command seperated by one space character. Implement this method if your command can provide a completion object. Parameters:
  | cmdname | The command name associated with this request.
Reimplemented from Kate::CommandExtension. Definition at line 265 of file katecmds.cpp. References KCompletion::setIgnoreCase(), and KCompletion::setItems().

The documentation for this class was generated from the following files:

- katecmds.h
- katecmds.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:37:00 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003